{% extends 'layouts/base.html.twig' %}

{% block title %}Liste clients{% endblock %}

{% block body %}
<div class="row">
    <div class="col-md-12">
        {% include 'form/_search.twig.html' %}
    </div>
{% if is_granted('ROLE_ADMIN') %}
    <div class="col-md-12">
        <a href="{{ path('app_client_add' )}}" class="btn btn-dark"><i class="fa-sharp fa-solid fa-plus"></i> Ajouter un nouveau client </a>
    </div>
{% endif %}
    <div class="col-md-12">
        <table class="table table-striped">
            <thead>
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">Nom Prénom</th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                {% for client in clients %}
                <tr>
                    <th scope="row">{{ client.id }}</th>
                    <td><a href="{{ path('app_client_show', {id: client.id}) }}"> {{ client.nomcomplet }} </a></td>

                    <td class="text-end">
                        <div class="dropdown-center">
                            <button class="btn btn-dark dropdown-toggle" type="button" data-bs-toggle="dropdown" aria-expanded="false">
                                <i class="fa-solid fa-ellipsis"></i>
                            </button>
                            <ul class="dropdown-menu">
                                <li><a href="{{ path('app_client_show', {id: client.id}) }}" class="dropdown-item"><i class="fa-solid fa-eye"></i> Voir</a></li>
                                {% if is_granted('ROLE_ADMIN') %}
                                    <li><a href="{{ path('app_client_edit', {id: client.id}) }}" class="dropdown-item"><i class="fa-solid fa-pen-to-square"></i> Éditer</a></li>
                                {% endif %}
                                <li><a href="{{ path('app_intervention_add') }}?client={{ client.id }}" class="dropdown-item"><i class="fa-sharp fa-solid fa-plus"></i> Ajouter une intervention</a></li>

                            </ul>
                        </div>
                    </td>
                </tr>
                {% endfor %}
            </tbody>
            </table>
    </div>
</div>
  
{% endblock %}